%define name krb5-fermi-krb5.conf
%define path /usr/krb5
%define version 2.5
%define release 4

Summary: Configuration scripts to get Fermize your Kerberos Machine
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
Copyright: MIT, freely distributable.
URL: http://web.mit.edu/kerberos/www/
Group: Fermi
BuildArchitectures: noarch
Packager: Troy Dawson <dawson@fnal.gov>
BuildRoot: %{_tmppath}/%{name}-%{version}
Prereq: fileutils

%description
Kerberos V5 is a trusted-third-party network authentication system,
which can improve your network's security by eliminating the insecure
practice of cleartext passwords.
This rpm gives you are krb5.conf file setup to work with the FNAL.GOV
kerberos realm.  If you already have a krb5.conf, it saves it off.

%prep
%setup


%install
install -m 0755 -d $RPM_BUILD_ROOT%{path}/conf

install -m 0744 config-krb5.conf $RPM_BUILD_ROOT%{path}/conf/config-krb5.conf
install -m 0644 krb5.conf.template $RPM_BUILD_ROOT%{path}/conf/krb5.conf.template
install -m 0744 makehostkeys $RPM_BUILD_ROOT/%{path}/conf/makehostkeys

%post 
if [ -f /etc/krb5.conf ] ; then
	echo "We need a fresh krb5.conf, moving old krb5.conf to /etc/krb5.conf.save.%{name}.%{version}.%{release}"
	mv /etc/krb5.conf /etc/krb5.conf.save.%{name}.%{version}.%{release}
fi
%{path}/conf/config-krb5.conf %{version}

%files
%dir %{path}
%dir %{path}/conf
%{path}/conf/config-krb5.conf
%{path}/conf/krb5.conf.template
%{path}/conf/makehostkeys


%changelog
* Mon Aug 08 2007 Troy Dawson <dawson@fnal.gov> 2.5-4
- Made it generic, to work with both SLF3 and SLF4

* Mon Aug 08 2007 Troy Dawson <dawson@fnal.gov> 2.5-3
- Updated the name to match the krb5.conf version - 2.5
- updated the config script to say 2.5
- Made it so that it moves the old krb5.conf out of the way

* Mon Jul 02 2007 Troy Dawson <dawson@fnal.gov> 1.25-1.LTS4
- updated the krb5.conf.template file to version 1.25

* Wed Jun 27 2007 Troy Dawson <dawson@fnal.gov> 1.24a-1.LTS4
- updated the krb5.conf.template file to version 1.24a

* Tue Oct 03 2006 Troy Dawson <dawson@fnal.gov> 1.16-1.LTS4
- updated the krb5.conf.template file to version 1.16

* Thu Aug 31 2006 Troy Dawson <dawson@fnal.gov> 1.15-1.LTS4
- updated the krb5.conf.template file to version 1.15

* Fri Aug 05 2005 Troy Dawson <dawson@fnal.gov> 1.10-1.LTS4
- updated the krb5.conf.template file to version 1.10

* Fri Oct 01 2004 Troy Dawson <dawson@fnal.gov> 1.9-3.LTS
- fixed script that says it's 1.8a
- made the rpm a noarch

* Wed Sep 28 2004 Troy Dawson <dawson@fnal.gov> 1.9-1.LTS
- updated to 1.9

* Tue Apr 06 2004 Troy Dawson <dawson@fnal.gov>
- added .sdsc.edu to the FNAL.GOV realm

* Fri Apr 02 2004 Troy Dawson <dawson@fnal.gov>
- Changed krb5.conf.template to put PAM section at top.

* Mon Feb 09 2004 Troy Dawson <dawson@fnal.gov>
- Fixed it so that it no longer moves the current krb5.conf out of the way
if it does not have to.

* Wed Oct 05 2003 Troy Dawson <dawson@fnal.gov>
- Created krb5-fermi-krb5.conf from krb5-fermi-config.

